Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1578 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

[patch] node leak causing iwconfig/wlanconfig not show rssi in wds mode

Reported by: jirif <jiri.fojtasek@hlohovec.net> Assigned to:
Priority: minor Milestone: version 0.9.5
Component: madwifi: 802.11 stack Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description (Last modified by mrenzmann)

The attached patch fixing following issue:

  • several ifup ifdown of WDS vap causes node leak and some other issues (eg iwconfig not show rssi)

This patch is for 0.9.3.2 but should be easy adapted in to the trunk

Signed-off-by: Jiri Fojtasek <jiri.fojtasek@hlohovec.net>

Attachments

160-wds_node_leak.patch (1.3 kB) - added by jirif <jiri.fojtasek@hlohovec.net> on 10/02/07 15:47:57.
the patch Signed-off-by: Jiri Fojtasek <jiri.fojtasek@hlohovec.net>

Change History

10/02/07 15:47:57 changed by jirif <jiri.fojtasek@hlohovec.net>

  • attachment 160-wds_node_leak.patch added.

the patch Signed-off-by: Jiri Fojtasek <jiri.fojtasek@hlohovec.net>

10/02/07 15:50:13 changed by jirif <jiri.fojtasek@hlohovec.net>

Description edit:

This patch is for 0.9.3.2 but should be easy adapted in to the trunk

Signed-off-by: Jiri Fojtasek <jiri.fojtasek@hlohovec.net>

10/02/07 16:28:11 changed by mrenzmann

  • description changed.

10/02/07 16:28:41 changed by mrenzmann

  • description changed.

10/04/07 03:00:59 changed by mentor

  • status changed from new to closed.
  • version changed from v0.9.3.2 to trunk.
  • resolution set to fixed.
  • milestone set to version 0.9.4.

r2719, Thanks

12/20/07 10:40:45 changed by mrenzmann

Follow-up patch provided by Jiri in #1701.

02/11/08 06:22:55 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.